package com.chenyang.nse.bussiness.entity.redis;

import java.io.Serializable;
import java.util.Map;

public class TCoreMaskingTaskTableInfo implements Serializable {
   private String taskId;
   private String taskName;
   private String tableName;
   private String status;
   private String isPrimaryKey;
   private String isForeignKey;
   private String columnName;
   private String searchType;
   private String sourceType;
   private String targetType;
   private String columnLength;
   private String columnPrecision;
   private String regexRuleId;
   private String regexRuleName;
   private String lengthruletype;
   private String targetLength;
   private String targetPrecision;
   private String isnullable;
   private String truesearchType;
   private String columnformat;
   private Map<String, String> parameterlist;
   private String secretkeyId;
   private String secretkeyName;
   private String datadomainId;
   private String datadomainName;
   private int sortnum;
   private String regexType;
   private String remark;

   public String getColumnformat() {
      return this.columnformat;
   }

   public void setColumnformat(String columnformat) {
      this.columnformat = columnformat;
   }

   public String getTruesearchType() {
      return this.truesearchType;
   }

   public void setTruesearchType(String truesearchType) {
      this.truesearchType = truesearchType;
   }

   public String getDatadomainId() {
      return this.datadomainId;
   }

   public void setDatadomainId(String datadomainId) {
      this.datadomainId = datadomainId;
   }

   public String getDatadomainName() {
      return this.datadomainName;
   }

   public void setDatadomainName(String datadomainName) {
      this.datadomainName = datadomainName;
   }

   public Map<String, String> getParameterlist() {
      return this.parameterlist;
   }

   public void setParameterlist(Map<String, String> parameterlist) {
      this.parameterlist = parameterlist;
   }

   public int getSortnum() {
      return this.sortnum;
   }

   public void setSortnum(int sortnum) {
      this.sortnum = sortnum;
   }

   public String getLengthruletype() {
      return this.lengthruletype;
   }

   public void setLengthruletype(String lengthruletype) {
      this.lengthruletype = lengthruletype;
   }

   public String getIsnullable() {
      return this.isnullable;
   }

   public void setIsnullable(String isnullable) {
      this.isnullable = isnullable;
   }

   public String getTargetPrecision() {
      return this.targetPrecision;
   }

   public void setTargetPrecision(String targetPrecision) {
      this.targetPrecision = targetPrecision;
   }

   public String getTargetLength() {
      return this.targetLength;
   }

   public void setTargetLength(String targetLength) {
      this.targetLength = targetLength;
   }

   public String getTaskId() {
      return this.taskId;
   }

   public void setTaskId(String taskId) {
      this.taskId = taskId;
   }

   public String getTaskName() {
      return this.taskName;
   }

   public void setTaskName(String taskName) {
      this.taskName = taskName;
   }

   public String getTableName() {
      return this.tableName;
   }

   public void setTableName(String tableName) {
      this.tableName = tableName;
   }

   public String getStatus() {
      return this.status;
   }

   public void setStatus(String status) {
      this.status = status;
   }

   public String getIsPrimaryKey() {
      return this.isPrimaryKey;
   }

   public void setIsPrimaryKey(String isPrimaryKey) {
      this.isPrimaryKey = isPrimaryKey;
   }

   public String getIsForeignKey() {
      return this.isForeignKey;
   }

   public void setIsForeignKey(String isForeignKey) {
      this.isForeignKey = isForeignKey;
   }

   public String getColumnName() {
      return this.columnName;
   }

   public void setColumnName(String columnName) {
      this.columnName = columnName;
   }

   public String getSearchType() {
      return this.searchType;
   }

   public void setSearchType(String searchType) {
      this.searchType = searchType;
   }

   public String getSourceType() {
      return this.sourceType;
   }

   public void setSourceType(String sourceType) {
      this.sourceType = sourceType;
   }

   public String getTargetType() {
      return this.targetType;
   }

   public void setTargetType(String targetType) {
      this.targetType = targetType;
   }

   public String getColumnLength() {
      return this.columnLength;
   }

   public void setColumnLength(String columnLength) {
      this.columnLength = columnLength;
   }

   public String getColumnPrecision() {
      return this.columnPrecision;
   }

   public void setColumnPrecision(String columnPrecision) {
      this.columnPrecision = columnPrecision;
   }

   public String getRegexRuleId() {
      return this.regexRuleId;
   }

   public void setRegexRuleId(String regexRuleId) {
      this.regexRuleId = regexRuleId;
   }

   public String getRegexRuleName() {
      return this.regexRuleName;
   }

   public void setRegexRuleName(String regexRuleName) {
      this.regexRuleName = regexRuleName;
   }

   public String getRegexType() {
      return this.regexType;
   }

   public void setRegexType(String regexType) {
      this.regexType = regexType;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public String getSecretkeyId() {
      return this.secretkeyId;
   }

   public void setSecretkeyId(String secretkeyId) {
      this.secretkeyId = secretkeyId;
   }

   public String getSecretkeyName() {
      return this.secretkeyName;
   }

   public void setSecretkeyName(String secretkeyName) {
      this.secretkeyName = secretkeyName;
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.columnLength == null ? 0 : this.columnLength.hashCode());
      result = 31 * result + (this.columnName == null ? 0 : this.columnName.hashCode());
      result = 31 * result + (this.columnPrecision == null ? 0 : this.columnPrecision.hashCode());
      result = 31 * result + (this.columnformat == null ? 0 : this.columnformat.hashCode());
      result = 31 * result + (this.datadomainId == null ? 0 : this.datadomainId.hashCode());
      result = 31 * result + (this.datadomainName == null ? 0 : this.datadomainName.hashCode());
      result = 31 * result + (this.isForeignKey == null ? 0 : this.isForeignKey.hashCode());
      result = 31 * result + (this.isPrimaryKey == null ? 0 : this.isPrimaryKey.hashCode());
      result = 31 * result + (this.isnullable == null ? 0 : this.isnullable.hashCode());
      result = 31 * result + (this.lengthruletype == null ? 0 : this.lengthruletype.hashCode());
      result = 31 * result + (this.parameterlist == null ? 0 : this.parameterlist.hashCode());
      result = 31 * result + (this.regexRuleId == null ? 0 : this.regexRuleId.hashCode());
      result = 31 * result + (this.regexRuleName == null ? 0 : this.regexRuleName.hashCode());
      result = 31 * result + (this.regexType == null ? 0 : this.regexType.hashCode());
      result = 31 * result + (this.remark == null ? 0 : this.remark.hashCode());
      result = 31 * result + (this.searchType == null ? 0 : this.searchType.hashCode());
      result = 31 * result + (this.secretkeyId == null ? 0 : this.secretkeyId.hashCode());
      result = 31 * result + (this.secretkeyName == null ? 0 : this.secretkeyName.hashCode());
      result = 31 * result + this.sortnum;
      result = 31 * result + (this.sourceType == null ? 0 : this.sourceType.hashCode());
      result = 31 * result + (this.status == null ? 0 : this.status.hashCode());
      result = 31 * result + (this.tableName == null ? 0 : this.tableName.hashCode());
      result = 31 * result + (this.targetLength == null ? 0 : this.targetLength.hashCode());
      result = 31 * result + (this.targetPrecision == null ? 0 : this.targetPrecision.hashCode());
      result = 31 * result + (this.targetType == null ? 0 : this.targetType.hashCode());
      result = 31 * result + (this.taskId == null ? 0 : this.taskId.hashCode());
      result = 31 * result + (this.taskName == null ? 0 : this.taskName.hashCode());
      result = 31 * result + (this.truesearchType == null ? 0 : this.truesearchType.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreMaskingTaskTableInfo other = (TCoreMaskingTaskTableInfo)obj;
         if (this.columnLength == null) {
            if (other.columnLength != null) {
               return false;
            }
         } else if (!this.columnLength.equals(other.columnLength)) {
            return false;
         }

         if (this.columnName == null) {
            if (other.columnName != null) {
               return false;
            }
         } else if (!this.columnName.equals(other.columnName)) {
            return false;
         }

         if (this.columnPrecision == null) {
            if (other.columnPrecision != null) {
               return false;
            }
         } else if (!this.columnPrecision.equals(other.columnPrecision)) {
            return false;
         }

         if (this.columnformat == null) {
            if (other.columnformat != null) {
               return false;
            }
         } else if (!this.columnformat.equals(other.columnformat)) {
            return false;
         }

         if (this.datadomainId == null) {
            if (other.datadomainId != null) {
               return false;
            }
         } else if (!this.datadomainId.equals(other.datadomainId)) {
            return false;
         }

         if (this.datadomainName == null) {
            if (other.datadomainName != null) {
               return false;
            }
         } else if (!this.datadomainName.equals(other.datadomainName)) {
            return false;
         }

         if (this.isForeignKey == null) {
            if (other.isForeignKey != null) {
               return false;
            }
         } else if (!this.isForeignKey.equals(other.isForeignKey)) {
            return false;
         }

         if (this.isPrimaryKey == null) {
            if (other.isPrimaryKey != null) {
               return false;
            }
         } else if (!this.isPrimaryKey.equals(other.isPrimaryKey)) {
            return false;
         }

         if (this.isnullable == null) {
            if (other.isnullable != null) {
               return false;
            }
         } else if (!this.isnullable.equals(other.isnullable)) {
            return false;
         }

         if (this.lengthruletype == null) {
            if (other.lengthruletype != null) {
               return false;
            }
         } else if (!this.lengthruletype.equals(other.lengthruletype)) {
            return false;
         }

         if (this.parameterlist == null) {
            if (other.parameterlist != null) {
               return false;
            }
         } else if (!this.parameterlist.equals(other.parameterlist)) {
            return false;
         }

         if (this.regexRuleId == null) {
            if (other.regexRuleId != null) {
               return false;
            }
         } else if (!this.regexRuleId.equals(other.regexRuleId)) {
            return false;
         }

         if (this.regexRuleName == null) {
            if (other.regexRuleName != null) {
               return false;
            }
         } else if (!this.regexRuleName.equals(other.regexRuleName)) {
            return false;
         }

         if (this.regexType == null) {
            if (other.regexType != null) {
               return false;
            }
         } else if (!this.regexType.equals(other.regexType)) {
            return false;
         }

         if (this.remark == null) {
            if (other.remark != null) {
               return false;
            }
         } else if (!this.remark.equals(other.remark)) {
            return false;
         }

         if (this.searchType == null) {
            if (other.searchType != null) {
               return false;
            }
         } else if (!this.searchType.equals(other.searchType)) {
            return false;
         }

         if (this.secretkeyId == null) {
            if (other.secretkeyId != null) {
               return false;
            }
         } else if (!this.secretkeyId.equals(other.secretkeyId)) {
            return false;
         }

         if (this.secretkeyName == null) {
            if (other.secretkeyName != null) {
               return false;
            }
         } else if (!this.secretkeyName.equals(other.secretkeyName)) {
            return false;
         }

         if (this.sortnum != other.sortnum) {
            return false;
         } else {
            if (this.sourceType == null) {
               if (other.sourceType != null) {
                  return false;
               }
            } else if (!this.sourceType.equals(other.sourceType)) {
               return false;
            }

            if (this.status == null) {
               if (other.status != null) {
                  return false;
               }
            } else if (!this.status.equals(other.status)) {
               return false;
            }

            if (this.tableName == null) {
               if (other.tableName != null) {
                  return false;
               }
            } else if (!this.tableName.equals(other.tableName)) {
               return false;
            }

            if (this.targetLength == null) {
               if (other.targetLength != null) {
                  return false;
               }
            } else if (!this.targetLength.equals(other.targetLength)) {
               return false;
            }

            if (this.targetPrecision == null) {
               if (other.targetPrecision != null) {
                  return false;
               }
            } else if (!this.targetPrecision.equals(other.targetPrecision)) {
               return false;
            }

            if (this.targetType == null) {
               if (other.targetType != null) {
                  return false;
               }
            } else if (!this.targetType.equals(other.targetType)) {
               return false;
            }

            if (this.taskId == null) {
               if (other.taskId != null) {
                  return false;
               }
            } else if (!this.taskId.equals(other.taskId)) {
               return false;
            }

            if (this.taskName == null) {
               if (other.taskName != null) {
                  return false;
               }
            } else if (!this.taskName.equals(other.taskName)) {
               return false;
            }

            if (this.truesearchType == null) {
               if (other.truesearchType != null) {
                  return false;
               }
            } else if (!this.truesearchType.equals(other.truesearchType)) {
               return false;
            }

            return true;
         }
      }
   }

   public String toString() {
      return "TCoreMaskingTaskTableInfo [taskId=" + this.taskId + ", taskName=" + this.taskName + ", tableName=" + this.tableName + ", status=" + this.status + ", isPrimaryKey=" + this.isPrimaryKey + ", isForeignKey=" + this.isForeignKey + ", columnName=" + this.columnName + ", searchType=" + this.searchType + ", sourceType=" + this.sourceType + ", targetType=" + this.targetType + ", columnLength=" + this.columnLength + ", columnPrecision=" + this.columnPrecision + ", regexRuleId=" + this.regexRuleId + ", regexRuleName=" + this.regexRuleName + ", lengthruletype=" + this.lengthruletype + ", targetLength=" + this.targetLength + ", targetPrecision=" + this.targetPrecision + ", isnullable=" + this.isnullable + ", truesearchType=" + this.truesearchType + ", columnformat=" + this.columnformat + ", parameterlist=" + this.parameterlist + ", secretkeyId=" + this.secretkeyId + ", secretkeyName=" + this.secretkeyName + ", datadomainId=" + this.datadomainId + ", datadomainName=" + this.datadomainName + ", sortnum=" + this.sortnum + ", regexType=" + this.regexType + ", remark=" + this.remark + "]";
   }
}
